Subject: Re: bug#18912: 24.4; mode-line corruption on graphical frames in dual-headed display

From: Eli Zaretskii <[email-masked]>
Date: Mon, 03 Nov 2014 19:52:44 +0200

> Date: Mon, 03 Nov 2014 18:43:38 +0100
> From: martin rudalics <[email-masked]>
> CC: [email-masked]
> 
>  > Now carefully decrease the frame's height by dragging its upper or
>  > lower edge with the mouse.  Please drag it slowly and carefully, so
>  > that the frame is resized one pixel at a time.  After each resize,
>  > please see if the mode line is no longer corrupted.
> 
> Is there any reason Bruno cannot use something like
> 
> (while (y-or-n-p "decrease?")
>    (set-frame-height nil (1- (frame-text-height)) nil t))
> 
> here?

Any technique to decrease by single pixels will do.  I just find the
mouse to be the most convenient one; but that's me.

I also asked to verify after each decrement that the mode line will
not be overlaid by some other text, so I think a loop is not TRT here.